Ticket #40012

ccs-tools 1.8.6 build error

Open Date: 2020-02-10 23:03 Last Update: 2020-02-29 16:14

Reporter:
Owner:
(None)
Type:
Status:
Open
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

ccs-tools 1.8.6 build error

https://pastebin.com/2y0xvhVB

Adding -ltinfo to the LDFLAGS fix this error, not sure if it's the right fix however.

Ticket History (3/3 Histories)

2020-02-10 23:03 Updated by: g3ngr33n
  • New Ticket "ccs-tools 1.8.6 build error" created
2020-02-10 23:48 Updated by: kumaneko
Comment

Thank you for the report. Well, it seems that intrflush has moved from ncurses.so to tinfo.so in 5.6 or 5.7.

Thus, despite the man page says "-lncurses", it seems that we also need "-ltinfo" when building for recent distributions.

# nm -D /usr/lib/libncurses.so.5.3 | grep intr

0002a5a0 T intrflush

# nm -D /usr/lib/libncurses.so.5.4 | grep intr

0002b10e T intrflush

# nm -D /usr/lib/libncurses.so.5.5 | grep intr

00413ee0 T intrflush

# nm -D /lib/libncurses.so.5.7 | grep intr

# nm -D /lib/libtinfo.so.5.7 | grep intr

00008d50 T intrflush

# nm -D /usr/lib64/libncurses.so.5.9 | grep intr

# nm -D /usr/lib64/libtinfo.so.5.9 | grep intr

0000000000011330 T intrflush

2020-02-29 16:14 Updated by: kumaneko
Comment

Please use ccs-tools-1.8.6-20200229.tar.gz . Thank you.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login